Get cache entry details
curl --request GET \
--url https://api.ubicloud.com/project/{project_id}/github/{github_installation_reference}/repository/{github_repository_reference}/cache/{github_cache_entry_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ubicloud.com/project/{project_id}/github/{github_installation_reference}/repository/{github_repository_reference}/cache/{github_cache_entry_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ubicloud.com/project/{project_id}/github/{github_installation_reference}/repository/{github_repository_reference}/cache/{github_cache_entry_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"installation_name": "<string>",
"repository_name": "<string>",
"id": "gefg7td83em22qfw9pq5xyfqb7",
"key": "<string>",
"scope": "<string>",
"size": 123,
"created_at": "2023-11-07T05:31:56Z",
"last_accessed_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": 401,
"message": "There was an error logging in",
"type": "InvalidCredentials",
"details": {}
}
}GitHub
Get cache entry details
GET
/
project
/
{project_id}
/
github
/
{github_installation_reference}
/
repository
/
{github_repository_reference}
/
cache
/
{github_cache_entry_id}
Get cache entry details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the project
Pattern:
^pj[0-9a-hj-km-np-tv-z]{24}$Example:
"pjkkmx0f2vke4h36nk9cm8v8q0"
GitHub installation ID or name Resource ID or name
Pattern:
^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$GitHub repository ID or name Resource ID or name
Pattern:
^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$GitHub cache entry ID Resource ID or name
Pattern:
^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$Response
A GitHub Cache Entry
name of the GitHub installation containing the repository containing the cache entry
name of the GitHub repository containing the cache entry
ID of the GitHub cache entry
Pattern:
^ge[0-9a-hj-km-np-tv-z]{24}$Example:
"gefg7td83em22qfw9pq5xyfqb7"
GitHub cache entry key
Branch scope of the GitHub cache entry
Size of the GitHub cache entry in bytes
Timestamp of when the cache entry was created
Timestamp of when the cache entry was last accessed